Chuyển đến nội dung
Diễn đàn CADViet
pinkrock

In các bản vẽ nghiêng trong CAD thế nào ah?

Các bài được khuyến nghị

cadgm.jpg

 

em muốn in 2 khung số 1 và số 2 nghiêng như hình trên

bác nào rành CAD dạy em cách in khung nghiêng với

plot khung đứng thì đc chứ chưa bao giơ flàm khung nghiêng, em đa thu rotate ban ve nhung chi co cac nét vẽ của CAD chịu xoay ,các hinh background (hinh google earth dc nhap OLE) thi ko chiu rotate theo

hic

giúp em với

thank

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cadgm.jpg

 

em muốn in 2 khung số 1 và số 2 nghiêng như hình trên

bác nào rành CAD dạy em cách in khung nghiêng với

plot khung đứng thì đc chứ chưa bao giơ flàm khung nghiêng, em đa thu rotate ban ve nhung chi co cac nét vẽ của CAD chịu xoay ,các hinh background (hinh google earth dc nhap OLE) thi ko chiu rotate theo

hic

giúp em với

thank

Chiron biết chỉ có 1 cách, dùng lệnh alignspace ở layout. Yêu cầu phải có Express tools.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn tham khảo ở đây và thay thế lệnh in bằng lệnh ikn (in khung nghiêng).

http://www.cadviet.c...showtopic=42078

File Cad minh hoạ ở đây.

http://www.cadviet.c...65_file_mau.dwg

Cách dùng:

Trong layout bạn dùng lệnh ikn, kích chọn 2 điểm góc khung phía dưới cùng và kích chọn Pline.

P/s: Phải đọc kỹ phần tham khảo tôi gửi cho bạn.

Một thoáng nữa tôi sẽ up Video lên.

(defun c:ikn()
(vl-load-com)
(command "PSPACE")
(command "undo" "be")
(setq
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")
)
(command "MSPACE")
(setq en (entsel "\n Chon pline "))
(if en
 (progn
(setq ob (vlax-ename->vla-object (car en))
n (vlax-curve-getEndParam ob)
i 0

)
  (while (<= i  n)
 (setq p1 (vlax-curve-getPointAtParam ob i)
      		p2 (vlax-curve-getPointAtParam ob (+ i 1))
 )
 (command "PSPACE" )
 (alignspace P1 P2 D1 D2 )
 (command "_plot" "" "" "" "" "" "" "")
 (setq i (+ i 2))
)
  )
)
(command "undo" "e")
(command "PSPACE" )
(princ)
)

P/s: Video: http://www.cadviet.com/upfiles/3/36665_11.rar

Trong quá trình thực hiện mà vướng mắc. Bạn có thể liên hệ với mình với yahoo: thanhduan2407@yahoo.com

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cadgm.jpg

 

em muốn in 2 khung số 1 và số 2 nghiêng như hình trên

bác nào rành CAD dạy em cách in khung nghiêng với

plot khung đứng thì đc chứ chưa bao giơ flàm khung nghiêng, em đa thu rotate ban ve nhung chi co cac nét vẽ của CAD chịu xoay ,các hinh background (hinh google earth dc nhap OLE) thi ko chiu rotate theo

hic

giúp em với

thank

Bạn tham khảo cách làm của bác Hoành trong topic này :

http://www.cadviet.com/forum/index.php?showtopic=11342

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×